Public Member Functions | Public Attributes | Friends | List of all members
RagTime5SpreadsheetInternal::TextPLC Struct Reference

a text style PLC More...

## Public Member Functions
| TextPLC ()
| constructor More...
| TextPLC (std::vector< int > const &values)
| constructor More...
MWAWCell::HorizontalAlignment | getHorizontalAlignment () const
| returns the alignement More...
bool | operator== (TextPLC const &plc) const
| operator== More...
bool | operator!= (TextPLC const &plc) const
| operator!= More...

## Public Attributes
int | m_textStyleId
| the text style More...
int | m_formatId
| the format style More...
int | m_unknownId
| unknown id More...
int | m_flags
| text flag More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextPLC const &plc)
| operator<< More...

## Detailed Description

a text style PLC

## Constructor & Destructor Documentation

## ◆ TextPLC() [1/2]

RagTime5SpreadsheetInternal::TextPLC::TextPLC | ( |  | ) |
| inline

constructor

## ◆ TextPLC() [2/2]

RagTime5SpreadsheetInternal::TextPLC::TextPLC | ( | std::vector< int > const & | values | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ getHorizontalAlignment()

MWAWCell::HorizontalAlignment RagTime5SpreadsheetInternal::TextPLC::getHorizontalAlignment | ( |  | ) | const
| inline

returns the alignement

Referenced by RagTime5Spreadsheet::send().

## ◆ operator!=()

bool RagTime5SpreadsheetInternal::TextPLC::operator!= | ( | TextPLC const & | plc | ) | const
| inline

operator!=

## ◆ operator==()

bool RagTime5SpreadsheetInternal::TextPLC::operator== | ( | TextPLC const & | plc | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextPLC const & | plc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_flags

int RagTime5SpreadsheetInternal::TextPLC::m_flags

text flag

Referenced by operator==().

## ◆ m_formatId

int RagTime5SpreadsheetInternal::TextPLC::m_formatId

the format style

Referenced by operator==(), and RagTime5Spreadsheet::send().

## ◆ m_textStyleId

int RagTime5SpreadsheetInternal::TextPLC::m_textStyleId

the text style

Referenced by operator==(), and RagTime5Spreadsheet::send().

## ◆ m_unknownId

int RagTime5SpreadsheetInternal::TextPLC::m_unknownId

unknown id

Referenced by operator==().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx